#ifdef(NewIOR_Inc_Temp)
    // do nothing
#else
    #declare NewIOR_Inc_Temp = version;
    #version 3.1;
    #ifdef(View_POV_Include_Stack)
        #debug "including NewIOR.inc\n"
    #end

/*********************************************************************************

IOR-values

Currently holds 181 different materials. This update and cleanup was done on April
10., 2000. The list may have various IOR for the same substance, that is becouse I
have found different values in different sources, or it's for different wavelengths.

If you have used an earlier version of this file, please go through it and update
your files as needed becouse there are major changes here!

Comments, add-ons, corrections etc. (much appreciated) to

Email    :  seasoft@mailcity.com
Snailmail:  Sven-Erik Andersen
            Langneshgda 5A
            N-8624 Mo I Rana
            NORWAY

**********************************************************************************
*********************************** DEFINITION ***********************************
**********************************************************************************
** STP = Standard Temperature and Pressure 20C and 1 atm. pressure (720 mm Hg) **
**********************************************************************************

Contributors:
  - Mikhail Elashkin <artimind@aoi.isrir.msk.su> from the
    Independent Group "Developing Games Software", Russia, Moscow
  - Many new values where found at http://mineral.galleries.com. If you want to know
    more about crystals and gemstones then that is a fine startpoint.

*********************************************************************************/

/////////////////////////////////////////////////
//                   GASS                      //
/////////////////////////////////////////////////
#declare Air_STP_IOR = 1.00029;
#declare Air_IOR = 1.000292;
#declare Liquid_Carbon_Dioxide_IOR = 1.20;
#declare Vacuum_IOR = 1.00000;


/////////////////////////////////////////////////
//                  GLASS                      //
/////////////////////////////////////////////////
#declare Amorphous_Selenium_IOR = 2.920; // Red glass
#declare Crown_Glass_IOR_1 = 1.510;
#declare Crown_Glass_IOR_2 = 1.520;
#declare Crown_Glass_Blue_IOR = 1.528;
#declare Crown_Glass_Green_IOR = 1.519;
#declare Crown_Glass_Red_IOR = 1.513;
#declare Crown_Glass_Orange_IOR = 1.514;
#declare Crown_Glass_Yellow_IOR = 1.517;
#declare Crown_Glass_Violet_IOR = 1.532;
#declare Crown_Glass_Zinc_IOR = 1.517;
#declare Flint_Glass_IOR = 1.710;
#declare Flint_Glass_Heaviest_IOR = 1.890;
#declare Flint_Glass_Heavy_IOR = 1.650;
#declare Flint_Glass_Light_IOR = 1.575;
#declare Glass_IOR = 1.500;


/////////////////////////////////////////////////
//          GEM-STONES, CRYSTALLS etc.         //
/////////////////////////////////////////////////
#declare Albite_IOR = 1.53; // Sodium Aluminum Silicate
#declare Alexandrite_IOR = 1.745 + 1.757 / 2; // a color changing variety of chrysoberyl, yellow, yellow-green, red in artificial light.
#declare Almandine_IOR = 1.83; // Iron Aluminum Silicate
#declare Amber_1_IOR = 1.546;
#declare Amber_2_IOR = 1.535; // 1.53-1.54
#declare Amblygonite_1_IOR = 1.61; // Lithium Sodium Aluminum Phosphate Fluoride Hydroxide
#declare Amblygonite_2_IOR = 1.64; // Lithium Sodium Aluminum Phosphate Fluoride Hydroxide
#declare Amethyst_IOR = 1.544 + 1.553 / 2; // a gemstone variety of quartz
#declare Andalusite_IOR = 1.632 + 1.638 / 2; // Aluminum Silicate
#declare Andesine_IOR = 1.545 + 1.562 / 2; // Sodium Calcium Aluminum Silicate
#declare Andradite_IOR = 1.89; // Calcium Iron Silicate
#declare Anglesite_IOR = 1.88; // Lead Sulfate
#declare Anorthite_IOR = 1.575 + 1.591 / 2; // Calcium Aluminum Silicate
#declare Aquamarine_IOR = 1.57 + 1.60 / 2; // the blue gemstone variety of beryl
#declare Arfvedsonite_IOR = 1.69; // Sodium Iron Magnesium Silicate Hydroxide
#declare Bariumdifluorid_IOR = 1.470; // BaF2
#declare Beryll_1_IOR = 1.568 + 1.602 / 2; //
#declare Beryll_2_IOR = 1.564 + 1.595 / 2; // 
#declare Bideauxite_IOR = 2.192; // Lead Silver Chloride Fluoride Hydroxide
#declare Birusa_1_IOR = 1.650; // bright blue and green
#declare Birusa_2_IOR = 1.620; //
#declare Birusa_3_IOR = 1.610; //
#declare Brazilianite_IOR = 1.60 + 1.62 / 2; // Sodium Aluminum Phosphate Hydroxide
#declare Burbankite_IOR = 1.615 + 1.627 / 2; // Sodium Calcium Strontium Barium Cerium Carbonate
#declare Bytownite_IOR = 1.565 + 1.585 / 2; // Calcium Sodium Aluminum Silicate
#declare Cadmium_sulfide_IOR = 2.340; // CdS. Greenockite
#declare Calcite_1_IOR = 1.49; // Calcium Carbonate, CaCO3
#declare Calcite_2_IOR = 1.66; // Calcium Carbonate, CaCO3
#declare Calciumdifluorid_IOR = 1.430; // CaF2
#declare Calspar1_IOR = 1.660;
#declare Calspar2_IOR = 1.486;
#declare Cassiterite_IOR = 2.0; // approximately, Tin Oxide
#declare Chalcedony_1_IOR = 1.539 + 1.544 / 2; // 
#declare Chalcedony_2_IOR = 1.526 + 1.535 / 2; //
#declare Citrine_IOR = 1.544 + 1.553 / 2; // the yellow variety of quartz
#declare Coesite_IOR = 1.59; // approximately, Silicon Dioxide
#declare Cordierite_IOR = 1.52 + 1.57 / 2; // Magnesium Aluminum Silicate
#declare Corundum_IOR = 1.750; // Aluminium oxide/Al2O3. Ionic crystal. Commonly Al2O3 contains small amounts of impurities that produce beautiful colored crystals. Cr(3+)-containing Al2O3 constitutes ruby (red color). Ti(4+) impurities produce blue crystals and are a variety of blue sapphire.
#declare Cristobalite_IOR = 1.48; //approximately, Silicon Dioxide
#declare Crocoite_IOR = 2.36; // Lead Chromate
#declare Cryolite_IOR = 1.338; // Sodium Aluminum Fluoride
#declare Crystal_IOR = 2.000;
#declare Demantoid_IOR = 1.89; // a gemstone variety of andradite garnet
#declare Diamond_1_IOR = 2.470;
#declare Diamond_2_IOR = 2.417;
#declare Dioptase_IOR = 1.65 + 1.71 / 2; // Iron Aluminum Silicate
#declare Emerald_IOR = 1.57 + 1.60 / 2; // the green gemstone variety of beryl
#declare Enstatite_IOR = 1.65; // approximately, Magnesium Silicate
#declare Eucryptite_IOR = 1.55; // Lithium Aluminum Silicate
#declare Fluorite_IOR = 1.434; // Colorless
#declare Fused_Quartz_IOR = 1.460; // SiO2
#declare Gadolinite_IOR = 1.79; // Yttrium Iron Beryllium Silicate
#declare Goshenite_IOR = 1.57 + 1.60 / 2; // a gemstone variety of beryl
#declare Granat_IOR = 1.705 + 1.805 / 2; //
#declare Greenockite_IOR = 2.50 + 2.52; // Cadmium Sulfide
#declare Grossular_IOR = 1.75; // Calcium Aluminum Silicate
#declare Hedyphane_IOR = 1.95; // Lead Calcium Arsenate Chloride
#declare Heliodor_IOR = 1.57 + 1.60 / 2; // a gemstone variety of beryl
#declare Hessonite_IOR = 1.73 + 1.75 / 2; // a gemstone variety of grossular garnet
#declare Hiddenite_IOR = 1.66; // a green color variety of the mineral spodumene
#declare Hypersthene_IOR = 1.69 + 1.77 / 2; // approximately, Magnesium Iron Silicate
#declare Ice_IOR = 1.309;
#declare Indicolite_1_IOR = 1.62; // the blue variety of elbaite
#declare Indicolite_2_IOR = 1.68; // the blue variety of elbaite
#declare Iodine_Crystal_IOR = 3.340;
#declare Iolite_IOR = 1.52 + 1.57 / 2; // the gemstone variety of cordierite
#declare Jade_IOR = 1.66 + 1.62 / 2; // a gem variety of both Jadeite and Nephrite
#declare Jadeite_IOR = 1.66; // Commonly known as jade (see Jade)
#declare Kornerupine_1_IOR = 1.66; // Magnesium Aluminum Iron Boro+silicate Hydroxide
#declare Kornerupine_2_IOR = 1.69; // Magnesium Aluminum Iron Boro+silicate Hydroxide
#declare Kunzite_IOR = 1.66; // the pink variety of spodumene
#declare Labradorite_IOR = 1.55 + 1.75 / 2; // Calcium Sodium Aluminum Silicate
#declare Lapis_Lazuli_IOR = 1.610;
#declare Lazurite_IOR = 1.495 + 1.501 / 2; // Sodium Calcium Aluminum Silicate Sulfur Sulfate
#declare Lapis_IOR = Lazurite_IOR;
#declare Lapis_Lazuli_IOR = Lazurite_IOR;
#declare Lithiumfluoride_IOR = 1.390; // LiF
#declare Magnesium_oxide_IOR = 1.700; // MgO. Ionic crystal.
#declare Magnesiumdifluorid_IOR = 1.380; // MgF2
#declare Malakhit_1_IOR = 1.9091; // Green-black
#declare Malakhit_2_IOR = 1.875; //
#declare Malakhit_3_IOR = 1.655; //
#declare Mimetite_IOR = 2.13; // Lead Chloroarsenate
#declare Moissanite_IOR = 2.6 + 2.7 / 2; // Silicon Carbide
#declare Morganite_IOR = 1.57 + 1.60 / 2; // the pink gemstone variety of beryl
#declare Narsarsukite_1_IOR = 1.601 + 1.614 / 2; // Sodium Titanium Iron Silicate Fluoride
#declare Narsarsukite_2_IOR = 1.632 + 1.647 / 2; // Sodium Titanium Iron Silicate Fluoride
#declare Nephrite_IOR = 1.62; // Commonly known as jade (see Jade)
#declare Obsidian_IOR = 1.482;
#declare Oligoclase_IOR = 1.533 + 1.552 / 2; // Sodium Calcium Aluminum Silicate
#declare Olivin_1_IOR = 1.670; // Colorless, yellow, green, black
#declare Olivin_2_IOR = 1.651;
#declare Olivin_3_IOR = 1.685;
#declare Olivine_IOR = 1.64 + 1.70 / 2; // Magnesium Iron Silicate
#declare Opal_IOR = 1.40 + 1.46 / 2; //
#declare Peridot_IOR = 1.630 + 1.695 / 2; // a gemstone variety of olivine
#declare Phenakite_IOR = 1.66; // Beryllium Silicate
#declare Potassium_Aluminia_IOR = 1.456; // (KAl[SO4]2*12H20) colorless
#declare Potassium_di_H_orthophosphate_IOR = 1.500; // KH2PO4
#declare Potassiumbromide_IOR = 1.560; // KBr
#declare Potassiumchloride_IOR = 1.490; // KCl
#declare Potassiumfluorid_IOR = 1.360; // KF
#declare Pyromorphite_IOR = 2.05; // Lead Chlorophosphate
#declare Pyrope_IOR = 1.73; // Magnesium Aluminum Silicate
#declare Quartz_IOR = 1.544 + 1.553 / 2; // the colorless variety of quartz
#declare Quartz_Milky_IOR = Quartz_IOR; // the pink variety of quartz
#declare Quartz_Rose_IOR = Quartz_IOR; // the pink variety of quartz
#declare Quartz_Smoky_IOR = Quartz_IOR; // the black or brown variety of quartz
#declare Rhodizite_IOR = 1.69; // Potassium Cesium Beryllium Aluminum Borate
#declare Rhodonit_1_IOR = 1.723 + 1.732 / 2; // Dark pink.
#declare Rhodonit_2_IOR = 1.716 + 1.741/ 2; // Dark pink.
#declare Rhodonit_3_IOR = 1.711 + 1.738 / 2; // Dark pink.
#declare Rock_Crystal_IOR = Quartz_IOR; // the colorless variety of quartz
#declare Ruby_IOR = 1.76 + 1.78 / 2; // variety of Corundum
#declare Rutile_IOR = 2.63; // Titanium Oxide, Pale yellow
#declare Rhutil_IOR = Rutile_IOR; // Titanium Oxide, Pale yellow
#declare Sapphire_IOR = 1.76 + 1.78 / 2; // variety of Corundum
#declare Scapolite_IOR = 1.54 + 1.60 / 2; // Calcium Sodium Aluminum Silicate Carbonate Chloride Sulfate
#declare Silicon_oxide_1_IOR = Quartz_IOR; // SiO2 / Quartz
#declare Silvin_IOR = 1.490; // (KCl) colorless
#declare Sodium_Chloride_Salt_1_IOR = 1.544; // NaCl, tablesalt
#declare Sodium_Chloride_Salt_2_IOR = 1.644; // NaCl, tablesalt
#declare Sodium_Chloride_Salt_3_IOR = 1.500; // NaCl, tablesalt
#declare Sodiumbromide_IOR = 1.640; // NaBr
#declare Spessartine_IOR = 1.80; // Manganese Aluminum Silicate
#declare Sphalerite_IOR = 2.37 + 2.42 / 2; // Zinc Iron Sulfide
#declare Spinel_IOR = 1.71 + 1.76 / 2; // approximately, Magnesium Aluminum Oxide
#declare Spodumene_IOR = 1.66; // Lithium Aluminum Silicate, White, pink, green.
#declare Stishovite_IOR = 1.81; // approximately, Silicon Dioxide
#declare Strontiumdifluorid_IOR = 1.440; // SrF2
#declare Tanzanite_IOR = 1.68 + 1.72 / 2; // the gemstone variety of zoisite
#declare Tooth_structure_enamel_IOR = 1.655;
#declare Topaz_IOR = 1.61 + 1.64 / 2; // Aluminum Silicate Fluoride Hydroxide
#declare Tourmaline_1_IOR = 1.640 + 1.692 / 2; // Black, green, red, 
#declare Tourmaline_2_IOR = 1.620 + 1.657 / 2; // Indigo, polychrome.
#declare Tremolite_IOR = 1.60 + 1.63 / 2; // Calcium Magnesium Silicate Hydroxide
#declare Tridymite_IOR = 1.47; // approximately, Silicon Dioxide
#declare Tsavorite_IOR = 1.73 + 1.75 / 2; // a gemstone variety of grossular garnet
#declare Uvarovite_IOR = 1.86; // Calcium Chromium Silicate
#declare Vanadinite_IOR = 2.39; // Lead Chlorovanadate
#declare Wulfenite_IOR = 2.28 + 2.40 / 2; // Lead Molybdate
#declare Wurtzite_IOR = 2.36 + 2.38 / 2; // Zinc Iron Sulfide
#declare Zinc_oxide_IOR = 1.960; // ZnO. Also called zincite. Ionic crystal.
#declare Zinc_sulfide_IOR = 2.400; // ZnS. Common name is zinc blende. Ionic crystal having a beautiful redish yellow color.
#declare Zircon_IOR = 1.92 + 2.01 / 2; // Zirconium Silicate
#declare Zoisite_IOR = 1.68 + 1.72 / 2; // Calcium Aluminum Silicate Hydroxide


/////////////////////////////////////////////////
//                   LIQUIDS                   //
/////////////////////////////////////////////////
#declare Acetone_IOR = 1.360;
#declare Alcohol_IOR = 1.329;
#declare Asphalt_IOR = 1.635; // The hydro-carbon, not the road-asphalt :)
#declare Benzen_IOR = 1.500;
#declare Ethyl_Alcohol_IOR = 1.360;
#declare Flourite_IOR = 1.434;
#declare Sugar_Solution_30_IOR = 1.380; // 30% solution
#declare Sugar_Solution_80_IOR = 1.490; // 80% solution
#declare Water_20_C_IOR = 1.333; // 20 degrees Celsius
#declare Carbondisulfide_IOR = 1.630;
#declare Canada_balsam_IOR = 1.530; // Used as glue for optics.


/////////////////////////////////////////////////
//                   VARIOUS                   //
/////////////////////////////////////////////////
#declare Polystyrene_IOR = 1.550;  // Plastic
#declare Gum_arabic_IOR = 1.480;  //
#declare Ivory_IOR = 1.539;  // ???
#declare Gelatin_IOR = 1.520;
#declare Aloe_IOR = 1.619;

    #version NewIOR_Inc_Temp;
#end
// END OF FILE NewIOR.INC
